org.apache.ignite.internal.processors.odbc

## Class SqlListenerDataTypes

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerDataTypes

    public class SqlListenerDataTypes
    extends Object

Data type names usable in SQL queries after escape sequence transformation

### Field Summary

Fields
`static String` `BIGINT` Type name for 64-bit integer
`static String` `BINARY` Type name for byte array
`static String` `BIT` Type name for boolean flag
`static String` `CHAR` Type name for unicode string
`static String` `DATE` Type name for date
`static String` `DECIMAL` Type name for decimal number
`static String` `DOUBLE` Type name for floating point number
`static String` `INTEGER` Type name for 32-bit integer
`static String` `REAL` Type name for single precision floating point number
`static String` `SMALLINT` Type name for 16-bit integer
`static String` `TIME` Type name for time
`static String` `TIMESTAMP` Type name for timestamp
`static String` `TINYINT` Type name for 8-bit integer
`static String` `UUID` Type name for universally unique identifier
`static String` `VARCHAR` Type name for unicode string

### Constructor Summary

Constructors
Constructor and Description
`SqlListenerDataTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIGINT

    public static final String BIGINT

Type name for 64-bit integer

See Also:
  Constant Field Values

#### BINARY

    public static final String BINARY

Type name for byte array

See Also:
  Constant Field Values

#### BIT

    public static final String BIT

Type name for boolean flag

See Also:
  Constant Field Values

#### CHAR

    public static final String CHAR

Type name for unicode string

See Also:
  Constant Field Values

#### DECIMAL

    public static final String DECIMAL

Type name for decimal number

See Also:
  Constant Field Values

#### VARCHAR

    public static final String VARCHAR

Type name for unicode string

See Also:
  Constant Field Values

#### DOUBLE

    public static final String DOUBLE

Type name for floating point number

See Also:
  Constant Field Values

#### REAL

    public static final String REAL

Type name for single precision floating point number

See Also:
  Constant Field Values

#### UUID

    public static final String UUID

Type name for universally unique identifier

See Also:
  Constant Field Values

#### SMALLINT

    public static final String SMALLINT

Type name for 16-bit integer

See Also:
  Constant Field Values

#### INTEGER

    public static final String INTEGER

Type name for 32-bit integer

See Also:
  Constant Field Values

#### TINYINT

    public static final String TINYINT

Type name for 8-bit integer

See Also:
  Constant Field Values

#### DATE

    public static final String DATE

Type name for date

See Also:
  Constant Field Values

#### TIME

    public static final String TIME

Type name for time

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final String TIMESTAMP

Type name for timestamp

See Also:
  Constant Field Values

### Constructor Detail

#### SqlListenerDataTypes

    public SqlListenerDataTypes()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017